Bug 1463435 - Building libvirt without (optional) yajl (--without-yajl) leads to test suite failure
Building libvirt without (optional) yajl (--without-yajl) leads to test suite...
Status: CLOSED NEXTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 18:29 EDT by Robert Scheck
Modified: 2017-06-22 03:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-21 12:13:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2017-06-20 18:29:28 EDT
Description of problem:
Building libvirt without (optional) yajl (--without-yajl) leads to test
suite failure:

--- snipp ---
185) Backing store parse 6                                             ... libvirt:  error : internal error: No JSON parser implementation is available
OK
186) Backing store parse 7                                             ... libvirt:  error : internal error: No JSON parser implementation is available
OK
187) Backing store parse 8                                             ... libvirt:  error : internal error: No JSON parser implementation is available
OK
188) Backing store parse 9                                             ... libvirt:  error : internal error: No JSON parser implementation is available
OK
189) Backing store parse 10                                            ... libvirt:  error : internal error: No JSON parser implementation is available
OK
190) Backing store parse 11                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
191) Backing store parse 12                                            ... libvirt:  error : internal error: No JSON parser implementation is available
OK
192) Backing store parse 13                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
193) Backing store parse 14                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
194) Backing store parse 15                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
195) Backing store parse 16                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
196) Backing store parse 17                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
197) Backing store parse 18                                            ... libvirt:  error : internal error: No JSON parser implementation is available
OK
198) Backing store parse 19                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
199) Backing store parse 20                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
200) Backing store parse 21                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
201) Backing store parse 22                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
202) Backing store parse 23                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
203) Backing store parse 24                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
204) Backing store parse 25                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
205) Backing store parse 26                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
206) Backing store parse 27                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
207) Backing store parse 28                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
208) Backing store parse 29                                            ... libvirt:  error : internal error: No JSON parser implementation is available
FAILED
--- snapp ---

Version-Release number of selected component (if applicable):
libvirt-3.2.0

How reproducible:
See above.

Actual results:
Building libvirt without (optional) yajl (--without-yajl) leads to test
suite failure.

Expected results:
Building libvirt without (optional) yajl (--without-yajl) does not lead
to test suite failure.
Comment 1 Cole Robinson 2017-06-21 12:13:20 EDT
Fixed upstream now:

commit 8a129b75e2149d46724d95fd7c717f90f309ee89 (HEAD -> master, origin/master, origin/HEAD, yajl)
Author: Cole Robinson <crobinso@redhat.com>
Date:   Wed Jun 21 08:55:58 2017 -0400

    tests: virstoragetest: fix --without-yajl
    
    Recently added JSON tests should be skipped if compiled --without-yajl
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1463435

Note You need to log in before you can comment on or make changes to this bug.